atoerper
Enthusiast
Enthusiast

VSAN Witness Appliance Versions

Jump to solution

We are setting up a 2-node ROBO VSAN cluster and need the VSAN Witness appliance. We noticed there are multiple versions of it. We will be running VSAN 6.2. Will the VSAN Witness Appliance 6.3 work with VSAN 6.2?

1 Solution

Accepted Solutions
TheBobkin
VMware Employee
VMware Employee

Hello,

The 6.3 version of the Witness Appliance is the matching version for hosts using ESXi 6.0 U3 (build-5050593)/vSAN 6.2

If you are using an earlier build of ESXi then use the correlating Witness Appliance (e.g. Witness Appliance 6.2a for ESXi 6.0 U2 Patch 3 (build-4192238)).

You can get further clarification of which matches which by cross-referencing the date of version release on the myvmware download page:

https://my.vmware.com/web/vmware/details?downloadGroup=WITNESS_OVA_63&productId=564

with this ESXi build release list:

https://kb.vmware.com/kb/2143832

In the past it appears the main reasons for compatibility to have the correct corresponding version (e.g. 6.1 versus 6.2) was due to the change of on-disk format as explained by  CHogan here:

http://cormachogan.com/2016/03/02/vsan-6-2-replacing-the-witness-appliance/

But all the same, a new version would likely not be released unless there were enough changes that warranted it (like with version 6.2a released with 6.0 U2 P03),

so keep it on equal build to the ESXi/vSAN hosts using the method I outlined above, upgrading all as necessary.

Bob

-o- If you found this comment useful please click the 'Helpful' button and/or select as 'Answer' if you consider it so, please ask follow-up questions if you have any -o-

View solution in original post

2 Replies
TheBobkin
VMware Employee
VMware Employee

Hello,

The 6.3 version of the Witness Appliance is the matching version for hosts using ESXi 6.0 U3 (build-5050593)/vSAN 6.2

If you are using an earlier build of ESXi then use the correlating Witness Appliance (e.g. Witness Appliance 6.2a for ESXi 6.0 U2 Patch 3 (build-4192238)).

You can get further clarification of which matches which by cross-referencing the date of version release on the myvmware download page:

https://my.vmware.com/web/vmware/details?downloadGroup=WITNESS_OVA_63&productId=564

with this ESXi build release list:

https://kb.vmware.com/kb/2143832

In the past it appears the main reasons for compatibility to have the correct corresponding version (e.g. 6.1 versus 6.2) was due to the change of on-disk format as explained by  CHogan here:

http://cormachogan.com/2016/03/02/vsan-6-2-replacing-the-witness-appliance/

But all the same, a new version would likely not be released unless there were enough changes that warranted it (like with version 6.2a released with 6.0 U2 P03),

so keep it on equal build to the ESXi/vSAN hosts using the method I outlined above, upgrading all as necessary.

Bob

-o- If you found this comment useful please click the 'Helpful' button and/or select as 'Answer' if you consider it so, please ask follow-up questions if you have any -o-

Jasemccarty
Immortal
Immortal

Great clarity (and correct).

Jase McCarty - Field SA at PureStorage - @jasemccarty
0 Kudos